> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Store BYOK credentials for a provider



## OpenAPI

````yaml /openapi/provider-credentials.json put /provider-credentials/{providerId}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /provider-credentials/{providerId}:
    put:
      tags:
        - Provider Credentials
      summary: Store BYOK credentials for a provider
      operationId: providerCredentials.set
      parameters:
        - name: providerId
          in: path
          required: true
          schema:
            enum:
              - qeq
              - nufi
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                values:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
              required:
                - values
              additionalProperties: false
              description: Store BYOK credential values for a provider.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  providerId:
                    enum:
                      - qeq
                      - nufi
                    type: string
                  connected:
                    const: true
                  config:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                  secretHint:
                    type: string
                    minLength: 1
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - providerId
                  - connected
                  - config
                  - secretHint
                  - updatedAt
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.